Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86264 - gnome-terminal restores to 80x25 wtih tabs
Summary: gnome-terminal restores to 80x25 wtih tabs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-terminal
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-18 16:09 UTC by Pete Zaitcev
Modified: 2007-04-18 16:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-05 02:48:40 UTC


Attachments (Terms of Use)

Description Pete Zaitcev 2003-03-18 16:09:24 UTC
Description of problem:

If tabs were present and a sessions is saved on exit, on next
login gnome-terminal with tabs collapses to default size.

Version-Release number of selected component (if applicable):

gnome-terminal-2.1.4-1
vte-0.10.10-1

How reproducible:

100%

Steps to Reproduce:
1. Open a gnome-terminal window
2. Add a tab
3. Resize to 80x30
4. Log off, mark checkbox to save current setup
5. Log in
    
Actual results:

gnome-terminal starts to small size

Expected results:

gnome-terminal restored as it was

Additional info:

On a slow box you can see that windows with tabs in them start to their
requested (bigger) sizes, but then they resize themseves to small size!

Comment 1 Havoc Pennington 2003-08-07 21:39:01 UTC
This is probably fairly painful to fix... most likely the 
same reason that you can cause funky resize issues by switching tabs
between tabs with different fonts, etc.

Will move to gnome.org (I own the bug there too though, yay me)

Comment 2 Ali-Reza Anghaie 2003-10-29 19:48:14 UTC
For the record, this is still a problem in gnome-terminal-2.2.2-1 ... without
tabs we're ok on restoring, with tabs it actually appares to size it down after
restoring properly. -Ali

Comment 3 Ray Strode [halfline] 2004-11-05 02:48:40 UTC
Upstream bug was:
http://bugzilla.gnome.org/show_bug.cgi?id=142366
and is fixed as of gnome-terminal-2.7.2:

2004-05-10 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

        * src/terminal-window.c(terminal_window_set_active): 
          move the call to update_copy_sensitivity to after
          the call to terminal_window_set_size.  Otherwise 
          new tabs resize the window to the default 80x24 
          size. See bug #142366.



Note You need to log in before you can comment on or make changes to this bug.